Qt Cryptographic Architecture: QCA::SMSContext Class Reference

Qt Cryptographic Architecture

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QCA::SMSContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::SMSContext:
[legend]

## Public Member Functions
virtual MessageContext * | createMessage ()=0
virtual void | setPrivateKeys (const QList< SecureMessageKey > &keys)
virtual void | setTrustedCertificates (const CertificateCollection &trusted)
virtual void | setUntrustedCertificates (const CertificateCollection &untrusted)
| SMSContext (Provider *p, const QString &type)

## Additional Inherited Members
Protected Member Functions inherited from QCA::BasicContext
| BasicContext (Provider *parent, const QString &type)
| BasicContext (const BasicContext &from)

## Detailed Description

SecureMessageSystem provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want SecureMessageSystem instead.

## Constructor & Destructor Documentation

QCA::SMSContext::SMSContext | ( | Provider * | p,
|  | const QString & | type
| ) |  |
| inline

Standard constructor.

Parameters

  p | the provider associated with this context
  type | the name of the type of secure message system

## Member Function Documentation

virtual void QCA::SMSContext::setTrustedCertificates | ( | const CertificateCollection & | trusted | ) |
| virtual

Set the trusted certificates and for this secure message system, to be used for validation.

The collection may also contain CRLs.

This function is only valid for CMS.

Parameters

  trusted | a set of trusted certificates and CRLs.

virtual void QCA::SMSContext::setUntrustedCertificates | ( | const CertificateCollection & | untrusted | ) |
| virtual

Set the untrusted certificates and CRLs for this secure message system, to be used for validation.

This function is only valid for CMS.

Parameters

  untrusted | a set of untrusted certificates and CRLs.

virtual void QCA::SMSContext::setPrivateKeys | ( | const QList< SecureMessageKey > & | keys | ) |
| virtual

Set the private keys for this secure message system, to be used for decryption.

This function is only valid for CMS.

Parameters

  keys | the keys to be used for decryption

virtual MessageContext* QCA::SMSContext::createMessage | ( |  | ) |
| pure virtual

Create a new message object for this system.

The caller is responsible for deleting it.

The documentation for this class was generated from the following file:

- qcaprovider.h